Skip to main content
PUT
Update insight
Use this endpoint to update the attributes of an insight according to its unique GUID.

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

user_guid
string
required

The unique identifier for a user, beginning with the prefix USR-.

insight_guid
string
required

The unique identifier for the insight. Defined by MX.

Body

application/json

The insight to be updated (None of these parameters are required, but the user object cannot be empty.)

insight
object

Response

200 - application/vnd.mx.api.v1+json

OK

active_at
string | null
Example:

"2022-01-07T12:00:00Z"

client_guid
string | null
Example:

"CLT-abcd-1234"

created_at
string | null
Example:

"2022-01-12T18:16:51Z"

cta_clicked_at
string | null
Example:

"2022-01-13T18:13:51Z"

description
string | null
Example:

"Gold's Gym charged you $36.71 more this month than normal. Did you upgrade your service?"

guid
string | null
Example:

"BET-abcd-1234"

has_associated_accounts
boolean | null
Example:

false

has_associated_categories
boolean | null
Example:

false

has_associated_merchants
boolean | null
Example:

false

has_associated_scheduled_payments
boolean | null
Example:

false

has_associated_transactions
boolean | null
Example:

true

has_been_displayed
boolean | null
Example:

true

is_dismissed
boolean | null
Example:

false

micro_call_to_action
string | null
Example:

"Learn more"

micro_description
string | null
Example:

"Netflix charged you $5.00 more this month than normal."

micro_title
string | null
Example:

"Price increase"

template
string | null
Example:

"SubscriptionPriceIncrease"

title
string | null
Example:

"Price increase"

updated_at
string | null
Example:

"2022-01-12T18:16:51Z"

user_guid
string
Example:

"USR-1234-abcd"

user_id
any